<!-- markdownlint-disable MD033 MD013 -->

<div align="center">
  <img src="./arwes.gif" alt="Arwes" />
</div>

<p align="center" style="margin-top: 16px; font-size: 1.2rem;">
  Futuristic Sci-Fi UI Web Framework
</p>

<div align="center">
    <a href="https://npmjs.org/package/@arwes/arwes">
        <img src="https://img.shields.io/npm/v/@arwes/arwes.svg" alt="version" />
    </a>
    <a href="https://travis-ci.org/arwes/arwes">
        <img src="https://img.shields.io/travis/arwes/arwes.svg" alt="travis" />
    </a>
    <a href="https://github.com/arwes/arwes">
        <img src="https://img.shields.io/github/stars/arwes/arwes.svg?style=social&label=stars" alt="github stars" />
    </a>
    <a href="https://npmjs.org/package/@arwes/arwes">
        <img src="https://img.shields.io/npm/dm/@arwes/arwes.svg" alt="downloads" />
    </a>
    <a href="https://twitter.com/arwesjs">
        <img src="https://img.shields.io/twitter/follow/arwesjs.svg?label=%40arwesjs&style=social" alt="Twitter Follow">
    </a>
    <a href="https://discord.gg/s5sbTkw">
        <img src="https://img.shields.io/badge/chat-discord-blue.svg" alt="chat on discord">
    </a>
</div>

<div align="center">
    <a href="https://standardjs.com">
        <img src="https://img.shields.io/badge/code_style-standardjs-d2bb09.svg?style=flat-square" alt="code style: standardjs">
    </a>
    <a href="https://jestjs.io">
        <img src="https://img.shields.io/badge/tested%20with-jest-15c213.svg?style=flat-square" alt="tested with: jest">
    </a>
    <a href="https://lernajs.io">
        <img src="https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg" alt="lerna" />
    </a>
    <a href="http://commitizen.github.io/cz-cli">
        <img src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg" alt="Commitizen friendly" />
    </a>
    <a href="https://github.com/arwes/arwes/blob/main/LICENSE">
        <img src="https://img.shields.io/github/license/arwes/arwes.svg?maxAge=2592000" alt="license" />
    </a>
</div>

----

[Arwes](https://arwes.dev) is a web framework to build user interfaces based on
futuristic science fiction designs, animations, and sound effects. The concepts
behind are opinionated with influences from [Cyberpunk](https://en.wikipedia.org/wiki/Cyberpunk),
[Cyberprep](https://aesthetics.fandom.com/wiki/Cyberprep), and [Synthwave](https://en.wikipedia.org/wiki/Synthwave).
It tries to inspire advanced space and alien technology.

## Documentation

**[arwes.dev](https://arwes.dev)** is for version [`1.0.0-alpha.5`](https://github.com/arwes/arwes/tree/version1-breakpoint1).

**[docs](./docs)** is a _work in progress_ of the latest version which will be
available at **[next.arwes.dev](https://next.arwes.dev)**.

## Need help?

Open [a GitHub issue](https://github.com/arwes/arwes/issues/new/choose) or let's chat on [Discord](https://discord.gg/s5sbTkw).

Review [frequently asked questions](./docs/FAQ.md) and [code of conduct](./docs/CODE_OF_CONDUCT.md).

## Community

<!-- ARWES-COMMUNITY-APPS:START -->
<table>
<tr>
<td align="center"><a href="https://soulextract.com"><img src="./docs/community/apps/images/soulextract.com.jpg" width="252px;" alt="SoulExtract.com" /></a><br /><a href="https://soulextract.com">SoulExtract.com</a><br /><a href="https://github.com/soulextract/soulextract.com"><sub>soulextract/soulextract.com</sub></a></td>
<td align="center"><a href="https://romelperez.dev"><img src="./docs/community/apps/images/romelperez.dev.jpg" width="252px;" alt="RomelPerez.dev" /></a><br /><a href="https://romelperez.dev">RomelPerez.dev</a><br /><a href="https://github.com/romelperez/romelperez.dev"><sub>romelperez/romelperez.dev</sub></a></td>
</tr>
</table>
<!-- ARWES-COMMUNITY-APPS:END -->

## Roadmap

Check out [roadmap](./docs/ROADMAP.md) for the project planning.

Review [changelog](./docs/CHANGELOG.md).

## Want to contribute?

See [how to contribute](./docs/CONTRIBUTING.md). All contributions of any kind are welcome!

Review [project boards](https://github.com/arwes/arwes/projects).

## Contributors

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://RomelPerez.dev"><img src="https://avatars2.githubusercontent.com/u/1393135?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Romel Pérez</b></sub></a><br /><a href="#projectManagement-romelperez" title="Project Management">📆</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Code">💻</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Tests">⚠️</a> <a href="https://github.com/arwes/arwes/commits?author=romelperez" title="Documentation">📖</a></td>
    <td align="center"><a href="https://nickwe.st"><img src="https://avatars1.githubusercontent.com/u/3742496?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Nick West</b></sub></a><br /><a href="https://github.com/arwes/arwes/commits?author=njwest" title="Documentation">📖</a> <a href="#ideas-njwest" title="Ideas, Planning, & Feedback">🤔</a> <a href="#research-njwest" title="Research">🔬</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/kentcdodds/all-contributors)
specification.
