[Arwes](https://arwes.dev) is a web framework to build user interfaces based on
futuristic science fiction designs, animations, and sound effects. The concepts
behind are opinionated with influences from [Cyberpunk](https://en.wikipedia.org/wiki/Cyberpunk),
[Cyberprep](https://aesthetics.fandom.com/wiki/Cyberprep), and [Synthwave](https://en.wikipedia.org/wiki/Synthwave).
It tries to inspire advanced space and alien technology.

It is built on top of [React](https://reactjs.org), [JSS](https://cssinjs.org),
[Anime](https://animejs.com), and [Howler](https://howlerjs.com).

> The project has a working version with the package [`arwes`](https://npmjs.org/package/arwes)
and the documentation with the website [arwes.dev](https://arwes.dev).
This is an _alpha_ release. Modules and components are being tested and their
API may change. Check out the source code at
**[`version1-breakpoint1`](https://github.com/arwes/arwes/tree/version1-breakpoint1)**
branch where you can find the components and the website.
Currently, the development is at [`main`](https://github.com/arwes/arwes) branch
with the packages `@arwes/[package]`. They are not a working version yet, and they
have major breaking changes with the `arwes` package.

## Packages

### Functionalities

The main functionalities which power the UI component system.

#### `@arwes/tools`

![status](https://img.shields.io/badge/status-in%20concept-999999.svg)
![downloads](https://img.shields.io/npm/dm/@arwes/tools.svg)
![npm bundle size](https://img.shields.io/bundlephobia/minzip/@arwes/tools)

Resource loading, responsive control, and general browser API tools.

#### `@arwes/design`

![status](https://img.shields.io/badge/status-in%20concept-999999.svg)
![downloads](https://img.shields.io/npm/dm/@arwes/design.svg)
![npm bundle size](https://img.shields.io/bundlephobia/minzip/@arwes/design)

Theming and styling tools using [JSS](https://cssinjs.org) in [React](https://reactjs.org).

#### `@arwes/animation`

![status](https://img.shields.io/badge/status-in%20development-orange.svg)
![downloads](https://img.shields.io/npm/dm/@arwes/animation.svg)
![npm bundle size](https://img.shields.io/bundlephobia/minzip/@arwes/animation)

Assemble and disassemble user interfaces using animation controls in [React](https://reactjs.org).

#### `@arwes/sounds`

![status](https://img.shields.io/badge/status-in%20development-orange.svg)
![downloads](https://img.shields.io/npm/dm/@arwes/sounds.svg)
![npm bundle size](https://img.shields.io/bundlephobia/minzip/@arwes/sounds)

Define, manage and control interactive sound effects using [Howler](https://howlerjs.com)
in [React](https://reactjs.org).

### Implementations

Using the functionality packages and based on the project guidelines, these are
design system or design component implementations.

#### `@arwes/arwes`

![status](https://img.shields.io/badge/status-in%20concept-999999.svg)
![downloads](https://img.shields.io/npm/dm/@arwes/arwes.svg)
![npm bundle size](https://img.shields.io/bundlephobia/minzip/@arwes/arwes)

Arwes design component system.
