- Tasks are listed in the [project boards](https://github.com/arwes/arwes/projects).
- The order in the lists does not represent priority neither order or execution.

----

## 2014 - 2018

From 2014 to 2018 the project was released in alpha versions where the main
ideas have been tested out in projects. Though many features were limited, have
little support / extensibility, or buggy. The plan was to gather enough insight
to decide and build the foundation of the framework.

----

## 2019

### Q1

#### General

- [x] Define and implement a new project architecture to improve organization,
simplify tooling, and facilitate developers contributions.
- [x] Research and playground new ideas and concepts to implement in the project
with the [soulextract.com](https://github.com/soulextract/soulextract.com) side
project. The results are going to be used in Arwes.
- [x] Complete started animation and sounds guidelines. These guidelines will
establish the ground concepts for the framework to work.

### Q2

#### `@arwes/animation`

- [x] Create an animation specification to define the animation system architecture.
- [x] Document React components APIs to create animation systems.

#### `@arwes/sounds`

- [x] Create a sounds specification to define the sound system architecture.
- [x] Develop the `@arwes/sounds` package with the sounds system APIs.
- [x] Document React components APIs to create sounds systems.

### Q3

#### General

- [x] Complete started purpose guideline document. This will clarify what
the vision of the project is.

#### `@arwes/animation`

- [x] Define animation system architecture specification.
- [x] Update animation specification with complex animation flow scenearios.
- [x] Develop the `@arwes/animation` package with the animation system APIs.

### Q4

#### `@arwes/animation`

- [x] Create animation management components.
- [x] Create unit and group animation components.

----

## 2020

### Q4

#### General

- [x] Project dependency packages update.
- [x] Repository and website documentation file structure definition.
- [x] Documentation guidelines for systems, states, and events.
- [ ] [#64](https://github.com/arwes/arwes/issues/64) Arwes UI/UX design specification.
- [ ] [#61](https://github.com/arwes/arwes/issues/61) Migrate project packages
source code to TypeScript.
- [ ] [#62](https://github.com/arwes/arwes/issues/62) Setup UMD distribution support.

#### Playground

- [x] [#24](https://github.com/arwes/arwes/issues/24) Playground support with
multiple sandboxes.
- [x] Playground application UX update.
- [ ] [#69](https://github.com/arwes/arwes/issues/69) Playground application UI/UX
design.

#### Website

- [ ] [#65](https://github.com/arwes/arwes/issues/65) Website application setup.

#### `@arwes/design`

- [ ] Documentation design management.
- [ ] Component theme setup and extensibility.
- [ ] Component styling setup and extensibility.

#### `@arwes/animation`

- [x] [#70](https://github.com/arwes/arwes/issues/70) Declarative and extensible
animation component tools.
- [x] [#36](https://github.com/arwes/arwes/issues/36) Non-parallel animation
management support.
- [x] Documentation animation management.
- [ ] [#63](https://github.com/arwes/arwes/issues/63) Research SEO support for
animated components.

#### `@arwes/sounds`

- [ ] Documentation sounds management.
- [ ] Component sound players and settings setup and extensibility.

----

## 2021

### Q1

#### General

- [ ] [#18](https://github.com/arwes/arwes/issues/18) Update contributing documentation.

#### Website

- [ ] [#66](https://github.com/arwes/arwes/issues/66) Website index page.
- [ ] [#67](https://github.com/arwes/arwes/issues/67) Website docs pages.
- [ ] [#68](https://github.com/arwes/arwes/issues/68) Website API pages.
