Arwes intends to materialize opinionated futuristic science fiction concepts
in a web toolset you may use to create user experiences inspired by advanced
technology and alien engineering.

Connected, augmented, and energized are the feelings sought in the experiences
provided by projects built with Arwes, so Arwes interfaces are intensive and rich.

But building modular, configurable, heavily animated, and interconnected interface
components for web applications from both design and functional perspectives
is not easy. Since there are plenty of places from which we could draw
inspiration, the concepts implemented in Arwes are opinionated and focused on
certain experiential aspects.

## Advanced Alien Technology

Arwes elements should look like they were made with advanced technology based on
fundamentally new scientific theories and created by developed alien civilizations
or human societies hundreds of years in the future.

But written and spoken languages with letters and numbers are still the primary
means of communication, and mechanical interactions are still needed to manipulate
controls.

Arwes designs could be used in displays, virtual reality, augmented reality, and
even holograms-like designs, and it should give users the impression that they
are controlling sophisticated futuristic devices.

## Energetic and Vibrant

All components should connect with the user visually and aurally. By navigating,
things should not just appear or disappear; they should feel as if they are being
assembled, evolved, and decomposed. The experience of using them should be that
of an explorer or a creator.

Glowing elements should inspire energy and animation should activate it. Users
should feel connected with the system.

## Clean and Sleek

Design does not have to be cryptic to feel advanced. Elements should be shown clearly
enough to express ideas without getting lost in visual effects.

Sizes and spacing should be used properly to convey messages clearly.
Content should be legible and not convoluted or obfuscated by fonts or colors.

Arwes interfaces should look polished and sophisticated.

## Functional

The elements in the experience should exist for a purpose, not just for display.
But they can be elaborated. These elements should express that they have a function.

All components in an experience should feel they are interconnected as a whole,
so the experience is not just functional, but intelligent. Actions in one place
can echo in other places or even broadcast to the whole system.
